## org.h2.store
Class PageOutputStream

    java.lang.Object
      java.io.OutputStream
          org.h2.store.PageOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class PageOutputStream

extends java.io.OutputStream

An output stream that writes into a page store.

Constructor Summary
`PageOutputStream(PageStore store, int trunkPage, BitField exclude, int logKey, boolean atEnd)` Create a new page output stream.

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageOutputStream

    public PageOutputStream(PageStore store,
                            int trunkPage,
                            BitField exclude,
                            int logKey,
                            boolean atEnd)

  Create a new page output stream.

  Parameters:
    `store` - the page store
    `trunkPage` - the first trunk page (already allocated)
    `exclude` - the pages not to use
    `logKey` - the log key of the first trunk page
    `atEnd` - whether only pages at the end of the file should be used

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`